---
nw_vlan_list:
  - vlan_id: "3"
    name:
      enclave: "Switch"
      purpose: "Mgmt"
      privacy: "Test"
    vlan_state: "active"
    admin_state: "up"
    state: "present"
    interface:
      description:
        enclave: "Switch"
        purpose: "Management"
        privacy: "(Test)"
      ipv4: "192.168.3.2/24"
      state: "present"
      exists: true
      vrrp:
        group: "1"
        vip: "192.168.3.1"
        admin_state: "no shutdown"
        state: "present"
        enabled: true

  - vlan_id: "4"
    name:
      enclave: "Test"
      purpose: "VLAN"
      privacy: "Test"
    vlan_state: "active"
    admin_state: "up"
    state: "present"
    interface:
      description:
        enclave: "Test"
        purpose: "VLAN"
        privacy: "(Test)"
      ipv4: "192.168.4.1/24"
      state: "present"
      exists: true
      vrrp:
        group: "2"
        vip: "192.168.4.1"
        admin_state: "no shutdown"
        state: "present"
        enabled: true
